POST api/lockapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "31f245af-e888-43f3-86a6-3b9a76fb6282",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "7a405220-fbe7-41b0-99d4-a1ec8fbdd3a3",
"guard_id": "e506eef8-9146-4c97-bfce-ddb425bab188",
"active": true
}
application/xml, text/xml
Sample:
<lock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <direction>sample string 3</direction> <distribution_id>7a405220-fbe7-41b0-99d4-a1ec8fbdd3a3</distribution_id> <guard_id>e506eef8-9146-4c97-bfce-ddb425bab188</guard_id> <id>31f245af-e888-43f3-86a6-3b9a76fb6282</id> <name>sample string 2</name> </lock>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ca23a172-6299-4f59-96ed-3f497d31ff91"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ca23a172-6299-4f59-96ed-3f497d31ff91</guid>